### Method

# Gtk.Stack.add_titled

#### Declaration [src]

    GtkStackPage*
    gtk_stack_add_titled (
      GtkStack* stack,
      GtkWidget* child,
      const char* name,
      const char* title
    )

#### Description [src]

Adds a child to `stack`.

The child is identified by the `name`. The `title` will be used by `GtkStackSwitcher` to represent `child` in a tab bar, so it should be short.

#### Parameters

`child` | `GtkWidget`
| the widget to add
| Ownership is not transferred to the callee
`name` | `const char*`
| the name for `child`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`title` | `const char*`
| a human-readable title for `child`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkStackPage`
the `GtkStackPage` for `child`
Ownership is not transferred to the caller